__gnu_pbds::detail::ranged_probe_fn< Key, Hash_Fn, _Alloc, Comb_Probe_Fn, Probe_Fn, true > Class Template Reference

`#include <ranged_probe_fn.hpp>`

## Protected Types

typedef Comb_Probe_Fn | comb_probe_fn_base
typedef std::pair< size_type, size_type > | comp_hash
typedef Hash_Fn | hash_fn_base
typedef rebind_traits< _Alloc, Key >::const_reference | key_const_reference
typedef Probe_Fn | probe_fn_base
typedef _Alloc::size_type | size_type

## Protected Member Functions

| ranged_probe_fn (size_type)
| ranged_probe_fn (size_type, const Hash_Fn &)
| ranged_probe_fn (size_type, const Hash_Fn &, const Comb_Probe_Fn &)
| ranged_probe_fn (size_type, const Hash_Fn &, const Comb_Probe_Fn &, const Probe_Fn &)
void | notify_resized (size_type)
comp_hash | operator() (key_const_reference) const
size_type | operator() (key_const_reference, size_type) const
size_type | operator() (key_const_reference, size_type, size_type) const
void | swap (ranged_probe_fn< Key, Hash_Fn, _Alloc, Comb_Probe_Fn, Probe_Fn, true > &)

## Detailed Description

template<typename Key, typename Hash_Fn, typename _Alloc, typename Comb_Probe_Fn, typename Probe_Fn>
class __gnu_pbds::detail::ranged_probe_fn< Key, Hash_Fn, _Alloc, Comb_Probe_Fn, Probe_Fn, true >

Specialization 2- The client supplies a probe function and a ranged probe function, and requests that hash values not be stored.

Definition at line 176 of file ranged_probe_fn.hpp.

## Member Typedef Documentation

## comb_probe_fn_base

template<typename Key, typename Hash_Fn, typename _Alloc, typename Comb_Probe_Fn, typename Probe_Fn>

typedef Comb_Probe_Fn __gnu_pbds::detail::ranged_probe_fn< Key, Hash_Fn, _Alloc, Comb_Probe_Fn, Probe_Fn, true >::comb_probe_fn_base

protected

Definition at line 183 of file ranged_probe_fn.hpp.

## comp_hash

template<typename Key, typename Hash_Fn, typename _Alloc, typename Comb_Probe_Fn, typename Probe_Fn>

typedef std::pair<size_type, size_type> __gnu_pbds::detail::ranged_probe_fn< Key, Hash_Fn, _Alloc, Comb_Probe_Fn, Probe_Fn, true >::comp_hash

protected

Definition at line 182 of file ranged_probe_fn.hpp.

## hash_fn_base

template<typename Key, typename Hash_Fn, typename _Alloc, typename Comb_Probe_Fn, typename Probe_Fn>

typedef Hash_Fn __gnu_pbds::detail::ranged_probe_fn< Key, Hash_Fn, _Alloc, Comb_Probe_Fn, Probe_Fn, true >::hash_fn_base

protected

Definition at line 184 of file ranged_probe_fn.hpp.

## key_const_reference

template<typename Key, typename Hash_Fn, typename _Alloc, typename Comb_Probe_Fn, typename Probe_Fn>

typedef rebind_traits<_Alloc,Key>::const_reference __gnu_pbds::detail::ranged_probe_fn< Key, Hash_Fn, _Alloc, Comb_Probe_Fn, Probe_Fn, true >::key_const_reference

protected

Definition at line 187 of file ranged_probe_fn.hpp.

## probe_fn_base

template<typename Key, typename Hash_Fn, typename _Alloc, typename Comb_Probe_Fn, typename Probe_Fn>

typedef Probe_Fn __gnu_pbds::detail::ranged_probe_fn< Key, Hash_Fn, _Alloc, Comb_Probe_Fn, Probe_Fn, true >::probe_fn_base

protected

Definition at line 185 of file ranged_probe_fn.hpp.

## size_type

template<typename Key, typename Hash_Fn, typename _Alloc, typename Comb_Probe_Fn, typename Probe_Fn>

typedef _Alloc::size_type __gnu_pbds::detail::ranged_probe_fn< Key, Hash_Fn, _Alloc, Comb_Probe_Fn, Probe_Fn, true >::size_type

protected

Definition at line 181 of file ranged_probe_fn.hpp.

## Constructor & Destructor Documentation

## ranged_probe_fn() [1/4]

template<typename Key, typename Hash_Fn, typename _Alloc, typename Comb_Probe_Fn, typename Probe_Fn>

__gnu_pbds::detail::ranged_probe_fn< Key, Hash_Fn, _Alloc, Comb_Probe_Fn, Probe_Fn, true >::ranged_probe_fn | ( | size_type | size | ) |

protected

Definition at line 216 of file ranged_probe_fn.hpp.

## ranged_probe_fn() [2/4]

template<typename Key, typename Hash_Fn, typename _Alloc, typename Comb_Probe_Fn, typename Probe_Fn>

__gnu_pbds::detail::ranged_probe_fn< Key, Hash_Fn, _Alloc, Comb_Probe_Fn, Probe_Fn, true >::ranged_probe_fn | ( | size_type | size,
|  | const Hash_Fn & | r_hash_fn )

protected

Definition at line 221 of file ranged_probe_fn.hpp.

## ranged_probe_fn() [3/4]

template<typename Key, typename Hash_Fn, typename _Alloc, typename Comb_Probe_Fn, typename Probe_Fn>

__gnu_pbds::detail::ranged_probe_fn< Key, Hash_Fn, _Alloc, Comb_Probe_Fn, Probe_Fn, true >::ranged_probe_fn | ( | size_type | size,
|  | const Hash_Fn & | r_hash_fn,
|  | const Comb_Probe_Fn & | r_comb_probe_fn )

protected

Definition at line 227 of file ranged_probe_fn.hpp.

## ranged_probe_fn() [4/4]

template<typename Key, typename Hash_Fn, typename _Alloc, typename Comb_Probe_Fn, typename Probe_Fn>

__gnu_pbds::detail::ranged_probe_fn< Key, Hash_Fn, _Alloc, Comb_Probe_Fn, Probe_Fn, true >::ranged_probe_fn | ( | size_type | size,
|  | const Hash_Fn & | r_hash_fn,
|  | const Comb_Probe_Fn & | r_comb_probe_fn,
|  | const Probe_Fn & | r_probe_fn )

protected

Definition at line 234 of file ranged_probe_fn.hpp.

## Member Function Documentation

## notify_resized()

template<typename Key, typename Hash_Fn, typename _Alloc, typename Comb_Probe_Fn, typename Probe_Fn>

void __gnu_pbds::detail::ranged_probe_fn< Key, Hash_Fn, _Alloc, Comb_Probe_Fn, Probe_Fn, true >::notify_resized | ( | size_type | size | ) |

protected

Definition at line 252 of file ranged_probe_fn.hpp.

## operator()() [1/3]

template<typename Key, typename Hash_Fn, typename _Alloc, typename Comb_Probe_Fn, typename Probe_Fn>

ranged_probe_fn< Key, Hash_Fn, _Alloc, Comb_Probe_Fn, Probe_Fn, true >::comp_hash __gnu_pbds::detail::ranged_probe_fn< Key, Hash_Fn, _Alloc, Comb_Probe_Fn, Probe_Fn, true >::operator() | ( | key_const_reference | r_key | ) | const

inline protected

Definition at line 258 of file ranged_probe_fn.hpp.

## operator()() [2/3]

template<typename Key, typename Hash_Fn, typename _Alloc, typename Comb_Probe_Fn, typename Probe_Fn>

ranged_probe_fn< Key, Hash_Fn, _Alloc, Comb_Probe_Fn, Probe_Fn, true >::size_type __gnu_pbds::detail::ranged_probe_fn< Key, Hash_Fn, _Alloc, Comb_Probe_Fn, Probe_Fn, true >::operator() | ( | key_const_reference | ,
|  | size_type | hash ) const

inline protected

Definition at line 275 of file ranged_probe_fn.hpp.

## operator()() [3/3]

template<typename Key, typename Hash_Fn, typename _Alloc, typename Comb_Probe_Fn, typename Probe_Fn>

ranged_probe_fn< Key, Hash_Fn, _Alloc, Comb_Probe_Fn, Probe_Fn, true >::size_type __gnu_pbds::detail::ranged_probe_fn< Key, Hash_Fn, _Alloc, Comb_Probe_Fn, Probe_Fn, true >::operator() | ( | key_const_reference | ,
|  | size_type | hash,
|  | size_type | i ) const

inline protected

Definition at line 267 of file ranged_probe_fn.hpp.

## swap()

template<typename Key, typename Hash_Fn, typename _Alloc, typename Comb_Probe_Fn, typename Probe_Fn>

void __gnu_pbds::detail::ranged_probe_fn< Key, Hash_Fn, _Alloc, Comb_Probe_Fn, Probe_Fn, true >::swap | ( | ranged_probe_fn< Key, Hash_Fn, _Alloc, Comb_Probe_Fn, Probe_Fn, true > & | other | ) |

protected

Definition at line 243 of file ranged_probe_fn.hpp.

The documentation for this class was generated from the following file:

- ranged_probe_fn.hpp